[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.GetCachedData

Returns a pointer to the cached item data.

## Declaration

Source position: stdctrls.pp line 596

`protected function TCustomListBox.GetCachedData(`
`const AIndex: Integer`
`):Pointer;`

## Arguments

`AIndex` |  | Ordinal position in Items for the values retrieved in the method.

## Function result

Pointer to the item data in the cache.

## Description

Gets a pointer to the item data for the specified list box item. The return value contains the attributes stored in Items at the position in AIndex. Items is cast to a TExtendedStringList instance to access its indexed Records property.

## Errors

Raises an InvalidOperation exception when the cache is marked as invalid, i. e. when the widgetset class has already been created.

## See also

TCustomListBox.Items |  | The list of all items defined in the control.
TExtendedStringList.Records